%global momorel 5
Summary: A screen manager that supports multiple logins on one terminal.
Name: screen
Version: 3.9.15
Release: %{momorel}m
License: GPL
Group: Applications/System
URL: http://www.math.fu-berlin.de/~guckes/screen/
Source0: ftp://ftp.uni-erlangen.de/pub/utilities/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Source100: tab.dot.screenrc
#
Patch0: screen-3.7.6-compat21.patch
Patch1: screen-3.9.8-osdef.patch
Patch2: screen-ia64.patch
Patch3: screen-3.9.9-deletehack.patch
#Patch4: screen-3.9.8-select.patch
# Doesnt work, but needs to.
Patch5: screen-3.9.9-pam.patch
Patch6: screen-3.9.9-doc.patch
Patch7: screen-3.9.11-Makeinstall.patch
# Patch8 through 11 from ftp://www.dekaino.net/pub/screen/
Patch9:  screen-3.9.11.paste-patch
Patch10: screen-3.9.11.hcGR-patch
Patch11: screen-3.9.13.seteuid-2.patch
Patch12: screen-3.9.11.popen.patch
Prereq: info
BuildPreReq: autoconf >= 2.52-8m
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel, filesystem >= 2.1.6
BuildRequires: utempter
BuildRequires: texinfo
# and need setup-2.5.7, bash. imoduru...
Requires: ncurses
Requires: utempter

%description
The screen utility allows you to have multiple logins on just one
terminal.  Screen is useful for users who telnet into a machine or are
connected via a dumb terminal, but want to use more than just one
login.

Install the screen package if you need a screen manager that can
support multiple logins on one terminal.

%prep
%setup -q

%patch0 -p1 -b .compat21
%patch1 -p0 -b .osdef
%patch2 -p1 -b .ia64
%patch3 -p1 -b .deletehack
#%%patch4 -p1 -b .select
#This thrashes the screen, but would be nice if it worked
#%%patch5 -p1 -b .pam
%patch6 -p1 -b .doc
%patch7 -p1 -b .makeinstall
%patch9  -p1 -b .paste
%patch10 -p1 -b .hcGR
%patch11 -p1 -b .seteuid
%patch12 -p1 -b .popen

%build
autoconf-old
%configure

sed -e 's/.*#.*undef.*BUILTIN_TELNET.*/#define BUILTIN_TELNET 1/;
        s/\(#.*define.*ETCSCREENRC.*\)"\/usr\/etc\/screenrc"/\1"\/etc\/screenrc"/;' < config.h > config.tmp.h
mv config.tmp.h config.h

sed -e 's/\/usr\/local\/etc/\/etc/g;' < etc/etcscreenrc > etc/etcscreenrc.tmp
mv etc/etcscreenrc.tmp etc/etcscreenrc

find doc -type f | ( while read line;
do
        sed -e 's/\(\/usr\)\?\/local\/etc/\/etc/g;' < $line > $line.tmp;
        mv $line.tmp $line
done; )

rm doc/screen.info*

make CFLAGS="%{optflags} -D_GNU_SOURCE"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc

mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/config-sample
mkdir -p %{buildroot}%{_datadir}/config-sample/screen

%makeinstall ROOTDIR=%{buildroot}

( cd %{buildroot}
  rm -f .%{_bindir}/screen.old .%{_bindir}/screen
  mv .%{_bindir}/screen-%{version} .%{_bindir}/screen
)

install -c -m 0444 etc/etcscreenrc %{buildroot}/etc/screenrc
install -c -m 0644 etc/screenrc %{buildroot}%{_datadir}/config-sample/screen/sample.screenrc
install -c -m 0644 etc/completer.zsh %{buildroot}%{_datadir}/config-sample/screen/
install -c -m 0644 etc/etcscreenrc %{buildroot}%{_datadir}/config-sample/screen/
install -c -m 0644 etc/etcscreenrc.deletehack %{buildroot}%{_datadir}/config-sample/screen/
install -m 644 %{SOURCE100} %{buildroot}%{_datadir}/config-sample/screen/

rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/screen.info.* %{_infodir}/dir --entry="* screen: (screen).             Terminal multiplexer."

if [ -d /tmp/screens ]; then
    # we're now setuid root
    chmod 755 /tmp/screens
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/screen.info.* %{_infodir}/dir --entry="* screen: (screen).             Terminal multiplexer."
fi

%files
%defattr(-,root,root)
%doc NEWS README doc/FAQ doc/README.DOTSCREEN
%doc etc/gr-braille.tbl etc/gs-braille.tbl etc/us-braille.tbl

%attr(4755,root,root) %{_bindir}/screen
%{_mandir}/man1/screen.*
%{_infodir}/screen.info*
%{_datadir}/screen

%config /etc/screenrc
%dir %{_datadir}/config-sample/screen
%config %{_datadir}/config-sample/screen/*

%changelog
* Sat Jul 31 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.9.15-5m)
- update Source100: tab.dot.screenrc

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (3.9.15-4m)
- rebuild against ncurses 5.3.

* Tue Mar 30 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.9.15-3m)
- revise %%files

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (3.9.15-2m)
- revised spec for rpm 4.2.

* Fri Jun 13 2003 zunda <zunda at freeshell.org>
- (kossori)
- BuildPreReq texinfo, Thank you YAA.

* Sat Mar 22 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.9.15-1m)
  update to 3.9.15

* Fri Mar  7 2003 zunda <zunda at freeshell.org>
- (3.9.13-3m)
- some more sample configurations and doc files

* Thu Jan 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.9.13-2m)
- [security fix]
   DON'T USE 3.9.13-1m which includes local vulnerability

* Wed Jan 15 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.9.13-1m)
- update to 3.9.13
- delete Patch8:  screen-3.9.11.encoding-patch
- adapt Patch11: screen-3.9.11.seteuid-patch to screen-3.9.13

* Thu Jul  4 2002 zunda <zunda@momonga-linux.org>
- (3.9.11-14m)
- pipe reopen race condition
  http://groups.yahoo.com/group/gnu-screen/message/1118

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.9.11-12k)

* Tue Apr 23 2002 zunda <zunda@kondara.org>
- (3.9.11-10k)
- SECURITY UPDATE: HAVE_BRAILLE disabled due to a local root exploit
  http://groups.yahoo.com/group/gnu-screen/message/981

* Wed Apr  3 2002 zunda <zunda@kondara.org>
- (3.9.11-8k)
- patch8-11 from http://www.dekaino.net/screen/

* Wed Mar 13 2002 TABUCHI Takaaki <tab@kondara.org>
- (3.9.11-6k)
- add tab.dot.screenrc at files section

* Thu Mar  7 2002 zunda <zunda@kondara.org>
- (3.9.11-4k)
- chmod 755 /tmp/screens

* Thu Mar  7 2002 zunda <zunda@kondara.org>
- (3.9.11-2k)
- source update
- added the URL

* Mon Mar  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.9.10-18k)
- fix a broken symlink of FAQ

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (3.9.10-16k)                      
- add BuildPreReq: autoconf >= 2.52-8k

* Mon Feb  4 2002 Shingo Akagaki <dora@kondara.org>
- (3.9.10-14k)
- autoconf 1.5

* Wed Jan 30 2002 TABUCHI Takaaki <tab@kondara.org>
- (3.9.10-12k)
- fix tab.dot.screenrc is not included

* Mon Dec 10 2001 TABUCHI Takaaki <tab@kondara.org>
- (3.9.10-10k)
- add tab.dot.screenrc as sample

* Mon Nov 12 2001 Motonobu Ichimura <famao@kondara.org>
- (3.9.10-8k)
- add %dir %{_datadir}/config-sample/screen

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (3.9.10-6k)
- add BuildRequires,Requires utempter

* Thu Oct 25 2001 TABUCHI Takaaki <tab@kondara.org>
- (3.9.10-4k)
- obsolete /etc/skel/, use /usr/share/config-sample
- add BuildRequires, mkdir
- use %{_datadir} macro

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (3.9.10-2k)
- merge from Jirai.

* Mon Sep 17 2001 Motonobu Ichimura <famao@kondara.org>
- (3.9.10-3k)
- up to 3.9.10

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org>
- Kodaraized.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS tweaks

* Sat May  6 2000 Bill Nottingham <notting@redhat.com>
- fix build for ia64

* Mon Apr  3 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- rebuild with new ncurses

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix MD5 password support (Bug #9463)

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Dec 10 1999 Bill Nottingham <notting@redhat.com>
- update to 3.9.5

* Wed Oct 20 1999 Bill Nottingham <notting@redhat.com>
- you know, we weren't just patching in Unix98 pty support for fun.

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- put screendir in ~

* Wed Aug 18 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.9.4.

* Wed Jun 16 1999 Bill Nottingham <notting@redhat.com>
- force tty permissions/group

* Wed Jun 5 1999 Dale Lovelace <dale@redhat.com>
- permissions on /etc/skel/.screenrc to 644

* Mon Apr 26 1999 Bill Nottingham <notting@redhat.com>
- take out warning of directory permissions so root can still use screen

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- take out warning of directory ownership so root can still use screen

* Wed Apr 07 1999 Erik Troan <ewt@redhat.com>
- patched in utempter support, turned off setuid bit

* Fri Mar 26 1999 Erik Troan <ewt@redhat.com>
- fixed unix98 pty support

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- add patch for Unix98 pty support

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.7.6.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.7.4

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- removed glibc 1.99 specific patch

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- added install-info support

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
